TTF_OpenFontIO(3)

NAME
TTF_OpenFontIO - Create a font from an SDL_IOStream, using a specified point size.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_Font * TTF_OpenFontIO(SDL_IOStream *src, bool closeio, float ptsize);

DESCRIPTION
Some .fon fonts will have several sizes embedded in the file, so the point size becomes the index of choosing which size. If the value is too high, the last indexed size will be the default.

If closeio is true, src will be automatically closed once the font is closed. Otherwise you should keep src open until the font is closed.

When done with the returned TTF_Font , use

TTF_CloseFont () to dispose of it.

FUNCTION PARAMETERS

src an SDL_IOStream to provide a font file's data.

closeio
    true to close src when the font is closed, false to leave it open.

ptsize
    point size to use for the newly-opened font.

RETURN VALUE
( TTF_Font
 *) Returns a valid TTF_Font , or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_CloseFont(3)